System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object

A component editor is used to edit a component as a whole and can be used to implement a user interface similar to that of the property pages. You associate a component editor with a component by using the attribute.

Provides the base class for a custom component editor.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean ``

  This method opens an advanced user interface that you can use to edit the component. The default implementation opens a dialog box with a collection of component editor control objects and a user interface.

  Edits the component and returns a value indicating whether the component was modified.

  true if the component was modified; otherwise, false.

  The component to be edited.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` ``

  You can override this method to provide a custom editing user interface for a component. From within this method you can display a dialog box or other type of user interface.

  Edits the component and returns a value indicating whether the component was modified based upon a given context.

  true if the component was modified; otherwise, false.

  An optional context object that can be used to obtain further information about the edit. The component to be edited.